<?php
require('config2.php');		//引入核心配置文件

ini_set("error_reporting","E_ALL & ~E_NOTICE");

$payId = $_GET['payId'];		//商户订单号
$param = $_GET['param'];		//创建订单的时候传入的自定义参数
$type = $_GET['type'];			//支付方式 ：微信支付为1 支付宝支付为2 支付宝当面付为4
$price = $_GET['price'];		//订单金额
$reallyPrice = $_GET['reallyPrice'];	//实际支付金额
$sign = $_GET['sign'];			//校验签名，计算方式 = md5(payId + param + type + price + reallyPrice + 通讯密钥)

//开始校验签名
$_sign =  md5($mid . $payId . $param . $type . $price . $reallyPrice . $key);
if($_sign != $sign) {
    echo "error_sign";	//sign签名校验不通过
    exit();
}else{
	//支付成功后,同步通知跳转页面,可更具自己实际情况运用!
	echo "支付测试成功接口正常!";
}

?>